Skip to main content
GET
Get BYOC infrastructure customer-authorized access
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Returns the customer setting that controls when ClickHouse personnel may access the BYOC infrastructure, together with the data plane verdict at the time of the request.

Permission

The API key must have the control-plane:organization:view permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the BYOC infrastructure.

byocInfrastructureId
string<uuid>
required

ID of the BYOC infrastructure.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object